summaryrefslogtreecommitdiffstats
path: root/source.local/y
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2013-03-22 16:47:17 -0700
committer Eric Hameleers <alien@slackware.com>2013-03-22 16:47:17 -0700
commit69dd99f961988fa15da8d7f0d63b62f3385419c3 (patch)
treed57eb3e85e1d08e7815787de26946ee42c398b66 /source.local/y
downloadalienarm-69dd99f961988fa15da8d7f0d63b62f3385419c3.tar.gz
alienarm-69dd99f961988fa15da8d7f0d63b62f3385419c3.tar.xz
Initial commit of a Slackware cross-arch bootstrap framework.
Diffstat (limited to 'source.local/y')
-rw-r--r--source.local/y/bsd-games/bsd-games-2.13.lsm21
-rw-r--r--source.local/y/bsd-games/bsd-games-login-fortune.csh6
-rw-r--r--source.local/y/bsd-games/bsd-games-login-fortune.sh11
-rwxr-xr-xsource.local/y/bsd-games/bsd-games.SlackBuild170
-rw-r--r--source.local/y/bsd-games/bsd-games.config.params.diff.gzbin0 -> 563 bytes
-rw-r--r--source.local/y/bsd-games/bsd-games.fortlen.diff.gzbin0 -> 283 bytes
-rw-r--r--source.local/y/bsd-games/bsd-games.fortunepath.diff.gzbin0 -> 181 bytes
-rw-r--r--source.local/y/bsd-games/bsd-games.getline.diff.gzbin0 -> 2333 bytes
-rw-r--r--source.local/y/bsd-games/bsd-games.ospeed.diff.gzbin0 -> 265 bytes
-rw-r--r--source.local/y/bsd-games/bsd-games.phantasia_install_fix.diff.gzbin0 -> 386 bytes
-rw-r--r--source.local/y/bsd-games/bsd-games.pom.diff.gzbin0 -> 1960 bytes
-rw-r--r--source.local/y/bsd-games/bsd-games.strfile.8.diff.gzbin0 -> 353 bytes
-rw-r--r--source.local/y/bsd-games/bsd-games.trek-gcc4.diff.gzbin0 -> 405 bytes
-rw-r--r--source.local/y/bsd-games/fortune-fixes-sorry-no-additions-accepted-here/20120302.diff.gzbin0 -> 294 bytes
-rw-r--r--source.local/y/bsd-games/hangman-words.gzbin0 -> 104848 bytes
-rw-r--r--source.local/y/bsd-games/slack-desc19
16 files changed, 227 insertions, 0 deletions
diff --git a/source.local/y/bsd-games/bsd-games-2.13.lsm b/source.local/y/bsd-games/bsd-games-2.13.lsm
new file mode 100644
index 0000000..e7ba527
--- /dev/null
+++ b/source.local/y/bsd-games/bsd-games-2.13.lsm
@@ -0,0 +1,21 @@
+Begin4
+Title: bsd-games
+Version: 2.13
+Entered-date: 2001-08-30
+Description: Port of most of the games from NetBSD-current. Games
+ included: adventure arithmetic atc backgammon banner battlestar
+ bcd boggle caesar canfield countmail cribbage dm factor fish fortune
+ gomoku hangman hunt mille monop morse number phantasia pig pom ppt
+ primes quiz rain random robots sail snake tetris trek wargames worm
+ worms wtf wump.
+Keywords: games, NetBSD
+Maintained-by: jsm28@cam.ac.uk (Joseph S. Myers)
+Primary-site: ibiblio.org /pub/Linux/games
+ bsd-games-2.13.tar.gz
+Alternate-site: tsx-11.mit.edu /pub/linux/sources/usr.games
+Original-site: ftp.netbsd.org /pub/NetBSD/NetBSD-current/tar_files/src
+ games.tar.gz
+Platforms: Requires ncurses (curses/termcap may also work but are no
+ longer tested/supported)
+Copying-policy: BSD
+End
diff --git a/source.local/y/bsd-games/bsd-games-login-fortune.csh b/source.local/y/bsd-games/bsd-games-login-fortune.csh
new file mode 100644
index 0000000..7084251
--- /dev/null
+++ b/source.local/y/bsd-games/bsd-games-login-fortune.csh
@@ -0,0 +1,6 @@
+#!/bin/csh
+# Print a fortune cookie for login shells:
+
+if ( { tty --silent } ) then >& /dev/null
+ echo "" ; fortune fortunes fortunes2 linuxcookie ; echo ""
+endif
diff --git a/source.local/y/bsd-games/bsd-games-login-fortune.sh b/source.local/y/bsd-games/bsd-games-login-fortune.sh
new file mode 100644
index 0000000..cb0f05b
--- /dev/null
+++ b/source.local/y/bsd-games/bsd-games-login-fortune.sh
@@ -0,0 +1,11 @@
+#!/bin/sh
+# Print a fortune cookie for interactive shells:
+
+case $- in
+*i* ) # We're interactive
+ echo
+ fortune fortunes fortunes2 linuxcookie
+ echo
+ ;;
+esac
+
diff --git a/source.local/y/bsd-games/bsd-games.SlackBuild b/source.local/y/bsd-games/bsd-games.SlackBuild
new file mode 100755
index 0000000..41f5c04
--- /dev/null
+++ b/source.local/y/bsd-games/bsd-games.SlackBuild
@@ -0,0 +1,170 @@
+#!/bin/sh
+
+# Copyright 2008, 2009, 2010, 2012 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified 2012 by Eric Hameleers <alien at slackware.com> for ARM port.
+
+
+VERSION=${VERSION:-2.13}
+BUILD=${BUILD:-12}
+
+# Automatically determine the architecture we're building on:
+MARCH=$( uname -m )
+if [ -z "$ARCH" ]; then
+ case "$MARCH" in
+ i?86) export ARCH=i486 ;;
+ armv7hl) export ARCH=$MARCH ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$MARCH ;;
+ esac
+fi
+
+NUMJOBS=${NUMJOBS:-" -j7 "}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-bsdgames
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+cd $TMP
+rm -rf bsd-games-$VERSION
+tar xvf $CWD/bsd-games-$VERSION.tar.bz2 || exit 1
+cd bsd-games-$VERSION || exit 1
+zcat $CWD/bsd-games.config.params.diff.gz | patch -p1 --backup --suffix=.orig || exit 1
+./configure
+zcat $CWD/bsd-games.ospeed.diff.gz | patch -p1 --backup --suffix=.orig || exit 1
+zcat $CWD/bsd-games.fortunepath.diff.gz | patch -p1 --backup --suffix=.orig || exit 1
+zcat $CWD/bsd-games.fortlen.diff.gz | patch -p1 --backup --suffix=.orig || exit 1
+zcat $CWD/bsd-games.strfile.8.diff.gz | patch -p1 --backup --suffix=.orig || exit 1
+zcat $CWD/bsd-games.trek-gcc4.diff.gz | patch -p1 --backup --suffix=.orig || exit 1
+zcat $CWD/bsd-games.phantasia_install_fix.diff.gz | patch -p1 --backup --suffix=.orig || exit 1
+zcat $CWD/bsd-games.getline.diff.gz | patch -p1 --backup --suffix=.orig || exit 1
+
+# Fix typos in the quote database:
+for typofix in $CWD/fortune-fixes-sorry-no-additions-accepted-here/* ; do
+ zcat $typofix | patch -p1 --verbose || exit 1
+done
+
+## Without the old default (with, of course, a command line switch), and an updated
+## man page, even though PJV wrote this, it just doesn't make the cut. I hope it's
+## still of use to somebody though. It increases the accuracy of pom by two orders
+## of magnitude. Enjoy!
+##zcat $CWD/bsd-games.pom.diff.gz | patch -p1 --verbose || exit 1
+
+# Now that Eric took my joke seriously... heh. It's a wonder any Work gets done here.
+zcat $CWD/bsd-games.pom.diff.gz | patch -p1 --verbose || exit 1
+
+cp fortune/datfiles/unamerican-o.real fortune/datfiles/unamerican-o.fake
+cp fortune/datfiles/unamerican-o.real unamerican-o
+( cd fortune/datfiles ; strfile unamerican-o unamerican-o.dat )
+make
+# Does this go to $PKG? I am perplexed.
+make install
+
+mkdir -p $PKG/usr/doc/bsd-games-$VERSION
+cp -a \
+ AUTHORS BUGS INSTALL NEWS PACKAGING README SECURITY THANKS \
+ TODO YEAR2000 $PKG/usr/doc/bsd-games-$VERSION
+cp -a fortune/README $PKG/usr/doc/bsd-games-$VERSION/README.fortune
+cp -a hunt/README $PKG/usr/doc/bsd-games-$VERSION/README.hunt
+cp -a hunt/README.linux $PKG/usr/doc/bsd-games-$VERSION/README.linux.hunt
+cp -a phantasia/README $PKG/usr/doc/bsd-games-$VERSION/README.phantasia
+cp -a trek/README.linux $PKG/usr/doc/bsd-games-$VERSION/README.linux.trek
+chown root.root $PKG/usr/doc/bsd-games-$VERSION/*
+chmod 644 $PKG/usr/doc/bsd-games-$VERSION/*
+
+cd $PKG
+# Add profile scripts:
+mkdir -p etc/profile.d
+cat $CWD/bsd-games-login-fortune.sh > etc/profile.d/bsd-games-login-fortune.sh
+cat $CWD/bsd-games-login-fortune.csh > etc/profile.d/bsd-games-login-fortune.csh
+chmod 755 etc/profile.d/bsd-games-login-fortune.*
+
+# Add some cool Linux related quotes:
+tar xvf $CWD/fortunes-linuxcookie.tar.gz || exit 1
+# I'm not in favor of censorship of any kind. If you are, you'll
+# have to be the one to delete these:
+rm -f $PKG/usr/share/games/fortunes/limerick
+rm -f $PKG/usr/share/games/fortunes/limerick.dat
+tar xvf $CWD/fortunes-o.tar.gz || exit 1
+# Run strfile on all fortune files:
+( cd $PKG/usr/share/games/fortunes
+ for file in *.dat ; do
+ $PKG/usr/bin/strfile -r $(basename $file .dat)
+ done
+ # These ones are rot13:
+ for file in *-o.dat ; do
+ $PKG/usr/bin/strfile -r -x $(basename $file .dat)
+ done
+)
+# Strip binaries:
+strip $PKG/usr/games/* $PKG/usr/bin/* $PKG/usr/sbin/*
+# Fix perms:
+mkdir -p $PKG/usr/share/dict
+zcat $CWD/hangman-words.gz > $PKG/usr/share/dict/words
+chmod 644 $PKG/var/lib/bsdgames/phantasia/characs
+
+# OK, I'll try to be nice but the first time you're still $cr3w3d unless you
+# installpkg first.
+( cd $PKG/var/lib/bsdgames
+ find . -type f -exec mv {} {}.new \;
+)
+
+mkdir -p $PKG/install
+cat << EOF > $PKG/install/doinst.sh
+#!/bin/sh
+config() {
+ NEW="\$1"
+ OLD="\$(dirname \$NEW)/\$(basename \$NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r \$OLD ]; then
+ mv \$NEW \$OLD
+ elif [ "\$(cat \$OLD | md5sum)" = "\$(cat \$NEW | md5sum)" ]; then # toss the redundant copy
+ rm \$NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+config var/lib/bsdgames/criblog.new
+config var/lib/bsdgames/saillog.new
+config var/lib/bsdgames/cfscores.new
+config var/lib/bsdgames/atc_score.new
+config var/lib/bsdgames/phantasia/gold.new
+config var/lib/bsdgames/phantasia/mess.new
+config var/lib/bsdgames/phantasia/motd.new
+config var/lib/bsdgames/phantasia/void.new
+config var/lib/bsdgames/phantasia/monsters.new
+config var/lib/bsdgames/phantasia/lastdead.new
+config var/lib/bsdgames/phantasia/characs.new
+config var/lib/bsdgames/phantasia/scoreboard.new
+config var/lib/bsdgames/battlestar.log.new
+config var/lib/bsdgames/robots_roll.new
+config var/lib/bsdgames/snakerawscores.new
+config var/lib/bsdgames/snake.log.new
+rm -f var/lib/bsdgames/criblog.new var/lib/bsdgames/saillog.new var/lib/bsdgames/cfscores.new var/lib/bsdgames/atc_score.new var/lib/bsdgames/phantasia/gold.new var/lib/bsdgames/phantasia/mess.new var/lib/bsdgames/phantasia/motd.new var/lib/bsdgames/phantasia/void.new var/lib/bsdgames/phantasia/monsters.new var/lib/bsdgames/phantasia/lastdead.new var/lib/bsdgames/phantasia/characs.new var/lib/bsdgames/phantasia/scoreboard.new var/lib/bsdgames/battlestar.log.new var/lib/bsdgames/robots_roll.new var/lib/bsdgames/snakerawscores.new var/lib/bsdgames/snake.log.new
+EOF
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+# Build the package:
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/bsd-games-$VERSION-$ARCH-$BUILD.txz
+
diff --git a/source.local/y/bsd-games/bsd-games.config.params.diff.gz b/source.local/y/bsd-games/bsd-games.config.params.diff.gz
new file mode 100644
index 0000000..8862e2d
--- /dev/null
+++ b/source.local/y/bsd-games/bsd-games.config.params.diff.gz
Binary files differ
diff --git a/source.local/y/bsd-games/bsd-games.fortlen.diff.gz b/source.local/y/bsd-games/bsd-games.fortlen.diff.gz
new file mode 100644
index 0000000..030b8f3
--- /dev/null
+++ b/source.local/y/bsd-games/bsd-games.fortlen.diff.gz
Binary files differ
diff --git a/source.local/y/bsd-games/bsd-games.fortunepath.diff.gz b/source.local/y/bsd-games/bsd-games.fortunepath.diff.gz
new file mode 100644
index 0000000..322f984
--- /dev/null
+++ b/source.local/y/bsd-games/bsd-games.fortunepath.diff.gz
Binary files differ
diff --git a/source.local/y/bsd-games/bsd-games.getline.diff.gz b/source.local/y/bsd-games/bsd-games.getline.diff.gz
new file mode 100644
index 0000000..7acb4f7
--- /dev/null
+++ b/source.local/y/bsd-games/bsd-games.getline.diff.gz
Binary files differ
diff --git a/source.local/y/bsd-games/bsd-games.ospeed.diff.gz b/source.local/y/bsd-games/bsd-games.ospeed.diff.gz
new file mode 100644
index 0000000..8ac3c39
--- /dev/null
+++ b/source.local/y/bsd-games/bsd-games.ospeed.diff.gz
Binary files differ
diff --git a/source.local/y/bsd-games/bsd-games.phantasia_install_fix.diff.gz b/source.local/y/bsd-games/bsd-games.phantasia_install_fix.diff.gz
new file mode 100644
index 0000000..0c99039
--- /dev/null
+++ b/source.local/y/bsd-games/bsd-games.phantasia_install_fix.diff.gz
Binary files differ
diff --git a/source.local/y/bsd-games/bsd-games.pom.diff.gz b/source.local/y/bsd-games/bsd-games.pom.diff.gz
new file mode 100644
index 0000000..d3de29d
--- /dev/null
+++ b/source.local/y/bsd-games/bsd-games.pom.diff.gz
Binary files differ
diff --git a/source.local/y/bsd-games/bsd-games.strfile.8.diff.gz b/source.local/y/bsd-games/bsd-games.strfile.8.diff.gz
new file mode 100644
index 0000000..a2f7d18
--- /dev/null
+++ b/source.local/y/bsd-games/bsd-games.strfile.8.diff.gz
Binary files differ
diff --git a/source.local/y/bsd-games/bsd-games.trek-gcc4.diff.gz b/source.local/y/bsd-games/bsd-games.trek-gcc4.diff.gz
new file mode 100644
index 0000000..ae2f7d8
--- /dev/null
+++ b/source.local/y/bsd-games/bsd-games.trek-gcc4.diff.gz
Binary files differ
diff --git a/source.local/y/bsd-games/fortune-fixes-sorry-no-additions-accepted-here/20120302.diff.gz b/source.local/y/bsd-games/fortune-fixes-sorry-no-additions-accepted-here/20120302.diff.gz
new file mode 100644
index 0000000..25b8b95
--- /dev/null
+++ b/source.local/y/bsd-games/fortune-fixes-sorry-no-additions-accepted-here/20120302.diff.gz
Binary files differ
diff --git a/source.local/y/bsd-games/hangman-words.gz b/source.local/y/bsd-games/hangman-words.gz
new file mode 100644
index 0000000..841e7f4
--- /dev/null
+++ b/source.local/y/bsd-games/hangman-words.gz
Binary files differ
diff --git a/source.local/y/bsd-games/slack-desc b/source.local/y/bsd-games/slack-desc
new file mode 100644
index 0000000..632625f
--- /dev/null
+++ b/source.local/y/bsd-games/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+bsd-games: bsd-games (Classic BSD text games collection)
+bsd-games:
+bsd-games: Games that go in /usr/games: adventure arithmetic atc backgammon
+bsd-games: banner battlestar bcd caesar canfield cfscores countmail cribbage
+bsd-games: factor fish fortune gomoku hangman hunt mille monop morse number
+bsd-games: phantasia pig pom ppt primes quiz rain random robots rot13 sail
+bsd-games: snake snscore teachgammon trek wargames worm worms wump
+bsd-games:
+bsd-games: Adds a call to 'fortune' to /etc/profile.d/ so that users will get a
+bsd-games: fortune message when they log in.
+bsd-games: